Bug 1327981

Summary: Review Request: python-ipykernel - IPython Kernel for Jupyter
Product: [Fedora] Fedora Reporter: Thomas Spura <tomspur>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: cbm, nonamedotc, package-review, python-sig, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-10 06:48:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1327989    
Bug Blocks: 1327979, 1382527    

Description Thomas Spura 2016-04-18 08:10:48 UTC
Spec URL: https://tomspur.fedorapeople.org/review/python-ipykernel/python-ipykernel.spec
SRPM URL: https://tomspur.fedorapeople.org/review/python-ipykernel/python-ipykernel-4.3.1-1.fc23.src.rpm
Description:

IPython Kernel for Jupyter

This package provides the IPython kernel for
Jupyter.

Fedora Account System Username: tomspur

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-04-18 17:44:47 UTC
%description is useless :(

# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
→ this comment can be removed, there are no files in /bin/.

%license...

Comment 2 Thomas Spura 2016-04-19 11:08:13 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> %description is useless :(
> 
> # Must do the subpackages' install first because the scripts in /usr/bin are
> # overwritten with every setup.py install.
> → this comment can be removed, there are no files in /bin/.
> 
> %license...

Corrected in:

Spec URL: https://tomspur.fedorapeople.org/review/python-ipykernel/python-ipykernel.spec
SRPM URL: https://tomspur.fedorapeople.org/review/python-ipykernel/python-ipykernel-4.3.1-2.fc23.src.rpm

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-04-19 19:43:25 UTC
The usual:
- suggestion to use "%global _docdir_fmt %{name}"
- PYTHONPATH=build/lib sphinx-build ...

Hm, is the description correct? Based on %files, this package only provides python modules, and the interactive shell will be provided by something else?

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-04-19 19:44:58 UTC
Also, should the name be 'python-jupyter-ipykernel' ?

Comment 5 Thomas Spura 2016-05-07 22:49:04 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> Also, should the name be 'python-jupyter-ipykernel' ?

Hmm, the upstream project (on pypi) is ipykernel so python-$module would be python-ipykernel. Furthermore, debian also uses this name:
https://packages.debian.org/search?keywords=ipykernel&searchon=names&suite=all&section=all

So, I would favor python-ipykernel in this case.

Regarding the notebook in bug #1327979, this is a bigger question, as "notebook" is a very generic name, but would still match the "use the pypi module name" rule from above... :/

Will soon give an update with the other changes from above, when python-jupyter-client hits rawhide.

Comment 6 Mukundan Ragavan 2016-09-25 02:50:13 UTC
any movement here folks?

thanks!

Comment 7 Thomas Spura 2016-09-26 20:31:14 UTC
(In reply to Mukundan Ragavan from comment #6)
> any movement here folks?

Thanks for the ping.
Any help with other depending packages of the python notebook is welcome.

%changelog
- update to 4.5.0
- Fix %%description
- use new pythonhosted url in source0

I'm open for suggestions for a better description. Unfortunately, this package does nothing fancy except providing the IPython kernel...


Spec URL: https://tomspur.fedorapeople.org/review/python-ipykernel/python-ipykernel.spec
SRPM URL: https://tomspur.fedorapeople.org/review/python-ipykernel/python-ipykernel-4.5.0-1.fc23.src.rpm

Comment 8 Mukundan Ragavan 2016-10-03 00:58:20 UTC
I can review this if Zbigniew does not object ..

Comment 9 Zbigniew Jędrzejewski-Szmek 2016-10-05 00:29:39 UTC
rpmlint:
python2-ipykernel.noarch: W: spelling-error Summary(en_US) IPython -> I Python, Python, Diphthong
python3-ipykernel.noarch: W: spelling-error Summary(en_US) IPython -> I Python, Python, Diphthong
python-ipykernel.src: W: spelling-error Summary(en_US) IPython -> I Python, Python, Diphthong
python-ipykernel-doc.noarch: W: spelling-error Summary(en_US) IPython -> I Python, Python, Diphthong
Yeah, way to go rpmlint!

python-ipykernel-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-ipykernel-doc/html/objects.inv
python-ipykernel-doc.noarch: W: file-not-utf8 /usr/share/doc/python-ipykernel-doc/html/objects.inv
Those are not text files, so OK.

4 packages and 0 specfiles checked; 0 errors, 6 warnings.

Hm, this requires python-ipython 4, while we have 3.2.1 in rawhide... Do we have some tracking bug for the update of python-ipython?

I think you need R:python[23]-zmq.

Where does ipython_genutils module come from?

import gi
gi.require_version ('Gdk', '3.0')
gi.require_version ('Gtk', '3.0')
from gi.repository import GObject, Gtk
→ don't you need dependencies on python[23]-gobject-base, gtk3, gobject-introspection for those?

import matplotlib
from matplotlib.backends.backend_agg import new_figure_manager, FigureCanvasAgg # analysis: ignore
from matplotlib._pylab_helpers import Gcf
→ more requires?

Also python[23]-pillow?

I think you can drop README.md from the doc directory, it's only about building the package and running tests from the source tree. Not useful for the binary package.

For the %description:
This package provide the IPython kernel for the Jupyter notebook. The notebook provides a front-end to enter and edit commands, and display results, while this package wraps the backend, i.e. the actual IPython instance that will execute Python commands supplied by the frontend.

+ provides look OK
+ %python_provide is used
+ all modern python macros are used
+ doc subpackage is present
+ builds OK
- a few Requires seem to be missing

Comment 10 Fedora Update System 2016-12-27 14:34:58 UTC
python-ipykernel-4.5.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-045776bb01

Comment 11 Fedora Update System 2016-12-28 00:54:37 UTC
python-ipykernel-4.5.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-045776bb01

Comment 12 Fedora Update System 2017-01-10 06:48:21 UTC
python-ipykernel-4.5.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.